
/*
 * FILE:
 * waypoints.c
 *
 * FUNCTION:
 * Waypoint logger for tzgps
 *
 * HISTORY:
 * Linas Vepstas January 2002
 */

#include <Common.h>
#include <System/SysTraps.h>
#include <System/StringMgr.h>
#include <System/Unix/unix_stdio.h>
#include <UI/Rect.h>
#include <UI/Font.h>
#include <UI/Window.h>

#include "linas-types.h"
#include "tzgps.h"

// =========================================================

void
draw_crypto (void)
{
   Int32 age;
   char buff[80];
   int yloc =65;

   sprintf (buff, "GPS Bat remaining= %s hours   ", battery);
   WinDrawChars(buff, StrLen(buff), 10, yloc);  yloc +=12;

   sprintf (buff, "Num Satellites used in fix=%d     ", fixsats);
   WinDrawChars(buff, StrLen(buff), 10, yloc); yloc +=12;

   age = get_data_age ();
   sprintf (buff, "Last Fix taken %ld  seconds ago       ", age);
   WinDrawChars(buff, StrLen(buff), 10, yloc); yloc +=12;

   sprintf (buff, "GLL Q=%c GGA Q=%c GSA Q=%c ", qual_gll, qual_gga, qual_gsa);
   WinDrawChars(buff, StrLen(buff), 10, yloc); yloc +=12;
}

// ========================= END OF FILE ===================
